﻿# Universal Document Converter MCP Server

AI-powered universal document converter MCP server that transforms Markdown files to PDF with intelligent Mermaid diagram optimization.

## Quick Start

`ash
# Using npm
npx universal-document-mcp --setup

# Using Python
pip install universal-document-mcp
`

## Features

- Universal Conversion: Markdown → HTML → PDF
- Mermaid Diagram Support with optimization
- AI-Powered Layout optimization
- MCP Integration with Claude Desktop, Cline, Roo, and more
- Cross-Platform support (Windows, macOS, Linux)
- Multiple Installation Methods (Python pip and Node.js npm)

## Usage

`ash
# Start MCP server
universal-document-mcp

# Quick conversion
universal-document-mcp --convert document.md

# Generate configuration files
universal-document-mcp --generate-configs
`

## Configuration

The server automatically generates configuration files for:
- Claude Desktop
- Cline (VS Code Extension)
- Roo
- Continue
- Zed Editor

For detailed installation and configuration instructions, see INSTALL.md.

## License

MIT License - see LICENSE file for details.
